CC=exec cc
CFLAGS = -O -D_POSIX_SOURCE -D_MINIX

SRCS =	memcpy.s memchr.s memcmp.s memset.s strcat.s strchr.s \
	strcmp.s strcpy.s strcspn.s strlen.s \
	strncat.s strncmp.s strncpy.s strpbrk.s strrchr.s strspn.s \
	strstr.s strtok.s strxfrm.s memmove.s strcoll.s strerror.s

OBJS =	memcpy.o memchr.o memcmp.o memset.o strcat.o strchr.o \
	strcmp.o strcpy.o strcspn.o strlen.o \
	strncat.o strncmp.o strncpy.o strpbrk.o strrchr.o strspn.o \
	strstr.o strtok.o strxfrm.o memmove.o strcoll.o strerror.o

.s.o:
	$(CC) $(CFLAGS) -c $*.s

all: $(OBJS)

clean:	
	@rm -rf *.o *.bak
