#include <minix/config.h>
#if ( CHIP == M68000 )
/* strcat.s			Author: Ralf Wenk
 *
 *	char *strcat(dst, src)
 *	char *dst;
 *	_CONST char *src;
 *
 * append string src to dst
 */
	.sect .text;.sect .rom;.sect .data;.sect .bss

	.define _strcat

	.sect .text
_strcat:
	link	a6,#0
	move.l	8(a6),a0	/* get dst */
	move.l	12(a6),a1	/* get src */
I1_5:
	tst.b	(a0)+
	bne	I1_5		/* EOS of dst ? */
	sub.l	#1,a0
I1_7:
	move.b	(a1)+,(a0)+
	bne	I1_7
	move.l	8(a6),d0
	unlk	a6
	rts
#endif

